Skip to content
PUT/api/{version}/services/package
NameDescription
Content-Typemultipart/form-data
Acceptapplication/json (default) or application/xml
curl -X PUT -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/x-www-form-urlencoded" \ -F "file=my_package.vpk" \ https://myvault.veevavault.com/api/v18.2/services/package
{ "responseStatus": "SUCCESS", "responseMessage": "Package with name [PKG-0001] already exists, it is renamed to [PKG-0001-2].", "vaultPackage": { "id": "0PI000000000703", "name": "PKG-0001-2", "status": "Active", "components": [ { "id": "0VP000000000705", "name": "User Role Setup", "status": "Verified", "step": "00010", "stepId": "0IS000000000405", "componentName": "user_role_setup__v", "componentType": "Object" } ], "renamed": true, "oldName": "PKG-0001" } }